/*

    Copyright (c) 2017 Motas Electronics Limited (J M HAYES)
    www.motas-synth.uk


    Permission is hereby granted, free of charge, to any person
    obtaining a copy of this software and any associated documentation files
    (the "Software"), to deal in the Software without restriction,
    including without limitation the rights to use, copy, modify, merge,
    publish, distribute, sublicense, and/or sell copies of the Software,
    and to permit persons to whom the Software is furnished to do so,
    subject to the following conditions:

    The above copyright notice and this permission notice shall be
    included in all copies or substantial portions of the Software.

    Any person wishing to distribute modifications to the Software is
    asked to send the modifications to the original developer so that
    they can be incorporated into the canonical version.  This is,
    however, not a binding provision of this license.

    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
    EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
    MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
    IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR
    ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
    CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
    WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


 *
 * */

#ifndef SCREENCAPTURE_H
#define SCREENCAPTURE_H

#include <QWidget>
#include "QLabel"
namespace Ui {
class ScreenCapture;
}

class ScreenCapture : public QWidget
{
    Q_OBJECT

public:
    explicit ScreenCapture(QWidget *parent = 0);
    ~ScreenCapture();

    QLabel* screenShotLabel;

    void setImage(QPixmap p, bool saveImage, QString fileLoc);


    void setSmoothImage(bool smooth);
    void resetWindow();

private:
    bool active;
    Ui::ScreenCapture *ui;

    bool smoothImage;
    QPixmap pixmap;
    void showPixmap(int w, bool override);
public slots:
    void resizeEvent(QResizeEvent *resize);

    void closeEvent(QCloseEvent *);
};

#endif // SCREENCAPTURE_H
